jQuery(document).ready(function ($) {
  // Funkcia pre pridanie produktu do Wishlistu
  $(".add-to-wishlist").click(function (e) {
    e.preventDefault();
    var button = $(this);
    var productId = button.data("product-id");

    $.ajax({
      type: "POST",
      url: ajax_object.ajax_url,
      data: {
        action: "add_to_wishlist",
        product_id: productId,
      },
      success: function (response) {
        // Aktualizujte zobrazenie tlačidla alebo vykonajte iné operácie
        button.hide();
        button.siblings(".remove-from-wishlist").show();
        console.log("Produkt bol pridaný do Wishlistu.");
      },
    });
  });

  // Funkcia pre odstránenie produktu z Wishlistu
  $(".remove-from-wishlist").click(function (e) {
    e.preventDefault();
    var button = $(this);
    var productId = button.data("product-id");

    $.ajax({
      type: "POST",
      url: ajax_object.ajax_url,
      data: {
        action: "remove_from_wishlist",
        product_id: productId,
      },
      success: function (response) {
        // Aktualizujte zobrazenie tlačidla alebo vykonajte iné operácie
        button.hide();
        button.siblings(".add-to-wishlist").show();
        console.log("Produkt bol odstránený z Wishlistu.");
      },
    });
  });
});
